<?php

/*

    ステータス表示

*/

require_once( 'include.php' );
$errmsg = '';

if( $_SERVER[ "REQUEST_METHOD" ] == 'POST' ){

    //リロード時の POST 再送信対策
    header( 'Location: '.$_SERVER[ 'PHP_SELF' ] );

    // 操作取得
    $opnumber = -1;
    $operate = get_operate( $opnumber, MAXSTATUS );

    // 停止
    if( $operate == OP_STOP && isset( $_POST[ 'pid'.$opnumber ] ) ){
        stop_recfriio( $_POST[ 'pid'.$opnumber ] );
    }

    exit;
}

$status_array = array();

// recfriio の状態を取得
try{
    $statusfile = get_vardir().STATUSFILE;
    if( file_exists( $statusfile ) ) read_csv( $statusfile, $status_array );
}
catch( Exception $e ){ $errmsg = $e->getMessage(); }


///////////////////////////////////////////////


// 表示

show_header();

// 更新間隔をセット
print(
    '<script language="JavaScript">'.
    "<!--\n".
    'setTimeout( "location.reload()", 1000 * '.REFRESH.' ); '.
    '//-->'.
    '</script>'
);

// ステータス表示
print(

    '<form action="./status.php" method="post">'.
    '<input type="submit" value="表示更新">'
);

show_statustable( $status_array, 0, count( $status_array )-1 );

print( 
    '</form>'.
    '<br />'
    );


// エラー表示
show_err( $errmsg );


show_footer();

?>
